import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    path: z.ZodString;
    operation: z.ZodDiscriminatedUnion<"command", [z.ZodObject<{
        command: z.ZodLiteral<"update">;
        oldStr: z.ZodString;
        newStr: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        command: "update";
        oldStr: string;
        newStr: string;
    }, {
        command: "update";
        oldStr: string;
        newStr: string;
    }>, z.ZodObject<{
        command: z.ZodLiteral<"rewrite">;
        content: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        content: string;
        command: "rewrite";
    }, {
        content: string;
        command: "rewrite";
    }>, z.ZodObject<{
        command: z.ZodLiteral<"append">;
        content: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        content: string;
        command: "append";
    }, {
        content: string;
        command: "append";
    }>]>;
    description: z.ZodString;
}, "strip", z.ZodTypeAny, {
    path: string;
    description: string;
    operation: {
        command: "update";
        oldStr: string;
        newStr: string;
    } | {
        content: string;
        command: "rewrite";
    } | {
        content: string;
        command: "append";
    };
}, {
    path: string;
    description: string;
    operation: {
        command: "update";
        oldStr: string;
        newStr: string;
    } | {
        content: string;
        command: "rewrite";
    } | {
        content: string;
        command: "append";
    };
}>;
declare const returnSchema: z.ZodObject<{
    path: z.ZodString;
    operation: z.ZodEnum<["update", "rewrite", "append"]>;
}, "strip", z.ZodTypeAny, {
    path: string;
    operation: "update" | "rewrite" | "append";
}, {
    path: string;
    operation: "update" | "rewrite" | "append";
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const updateFileTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=updateFile.d.ts.map